/*
 * YakiToOutput.java
 */

package net.yakiboo.yakito.io;

import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.logging.Logger;

import javax.swing.JOptionPane;

/**
 * Clase de metodos estaticos para la entrada y salida de informacion de eventos
 * para el usuario.
 * 
 * @author sgm
 */
public class YakiToOutput {

	static Calendar cal;

	/**
	 * Muestra un mensaje
	 * 
	 * @param s
	 *            Mensaje
	 */
	public static void message(String s) {
		System.out.println(getHead() + s);
	}

	/**
	 * Muestra un error
	 * 
	 * @param s
	 *            Error
	 */
	public static void error(String s) {
		System.err.println(getHead() + s);
	}

	private static String getHead() {
		cal = new GregorianCalendar();
		int h, m, s;
		String h2, m2, s2;
		h = cal.get(Calendar.HOUR_OF_DAY);
		m = cal.get(Calendar.MINUTE);
		s = cal.get(Calendar.SECOND);
		h2 = "0" + h;
		m2 = "0" + m;
		s2 = "0" + s;
		return "[" + h2.substring(h2.length() - 2) + ":"
				+ m2.substring(m2.length() - 2) + ":"
				+ s2.substring(s2.length() - 2) + "] ";
	}

	/**
	 * Muestra un dialogo de error
	 * 
	 * @param title
	 *            Titulo del dialogo
	 * @param message
	 *            Mensaje de error
	 */
	public static void errorDialog(String title, String message) {
		JOptionPane.showMessageDialog(null, message, title,
				JOptionPane.ERROR_MESSAGE);
	}

	/**
	 * Muestra un mensaje de dialogo
	 * 
	 * @param title
	 *            Titulo del dialogo
	 * @param message
	 *            Mensaje del dialogo
	 */
	public static void messageDialog(String title, String message) {
		JOptionPane.showMessageDialog(null, message, title,
				JOptionPane.INFORMATION_MESSAGE);
	}

}
